Subject: bug#16988: 24.3.50; emacs -nw -Q --eval '(kill-emacs)' takes 2 seconds unless I hit a key

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Mar 2014 19:18:35 +0200

> From: Nicolas Richard <[email-masked]>
> Date: Tue, 11 Mar 2014 16:22:21 +0100
> 
> With latest trunk:
> $ time src/emacs -nw -Q --eval '(kill-emacs)'
> 
> real	0m2.064s
> user	0m0.030s
> sys	0m0.010s

I cannot reproduce this.  I get the same 0.330s time with both current
trunk and Emacs 24.3.  That's on this system:

  eliz@fencepost:~/bzr/emacs/trunk$ uname -a
  Linux fencepost.gnu.org 2.6.32-48-server #1trisquel3 SMP Mon Jun 17 20:00:36 UTC 2013 x86_64 GNU/Linux

My crystal ball says that your TERM variable points to xterm, but your
terminal either isn't xterm or doesn't support the kind of queries
that xterm--query on xterm.el uses.  That function indeed waits for 2s
for the terminal to respond.